> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# taskmenudestination

## "taskmenudestination" MDO List

Implemented by the <see cref="T:SuperOffice.CRM.Lists.TaskMenuDestinationProvider">TaskMenuDestinationProvider</see> class.
The name of the MDO list is 'taskmenudestination'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/taskmenudestination
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("taskmenudestination", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name              | StyleHint | ExtraInfo   |
| -- | ----------------- | --------- | ----------- |
| 1  | Company           |           | contact     |
| 2  | Contact           |           | person      |
| 3  | Sale              |           | sale        |
| 4  | Project           |           | project     |
| 5  | Follow-up         |           | appointment |
| 6  | Document          |           | document    |
| 7  | Quote             |           | Quote       |
| 8  | Request           |           | ticket      |
| 9  | Request - Message |           | ej\_message |

## Related MDO Lists

* "taskmenudestinationheadings"
* "taskmenudestinationheadingswithallitem"
* "taskmenudestinationheadingswithallitemwithnoselection"
* "taskmenudestinationheadingswithnoselection"
* "taskmenudestinationwithallitem"
* "taskmenudestinationwithallitemwithnoselection"
* "taskmenudestinationwithnoselection"


## Related topics

- [MDO List Provider names](/en/api/mdo-providers/reference/index.md)
